summaryrefslogtreecommitdiffstats
path: root/patches/source/at
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/at')
-rwxr-xr-xpatches/source/at/at.SlackBuild130
-rw-r--r--patches/source/at/at.url1
-rw-r--r--patches/source/at/atd.default6
-rw-r--r--patches/source/at/doinst.sh37
-rw-r--r--patches/source/at/rc.atd39
-rw-r--r--patches/source/at/slack-desc19
6 files changed, 232 insertions, 0 deletions
diff --git a/patches/source/at/at.SlackBuild b/patches/source/at/at.SlackBuild
new file mode 100755
index 000000000..e4272fe70
--- /dev/null
+++ b/patches/source/at/at.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=at
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_slack15.0}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-at
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf at-$VERSION
+tar xvf $CWD/at-${VERSION}.tar.?z || exit 1
+cd at-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Or else /var/spool/cron will be used:
+mkdir -p /var/spool/at{jobs,spool}
+chmod 770 /var/spool/at{jobs,spool}
+chown daemon:daemon /var/spool/at{jobs,spool}
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux || exit 1
+
+# Does not like parallel builds:
+make || exit 1
+make install DESTDIR=$PKG || exit
+
+mv $PKG/etc/at.deny $PKG/etc/at.deny.new
+chown root:root $PKG/var $PKG/var/spool
+
+# Add the init script:
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.atd > $PKG/etc/rc.d/rc.atd.new
+chmod 755 $PKG/etc/rc.d/rc.atd.new
+
+# Add the default file:
+mkdir -p $PKG/etc/default
+cat $CWD/atd.default > $PKG/etc/default/atd.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+rm -rf $PKG/usr/doc/at
+mkdir -p $PKG/usr/doc/at-$VERSION
+cp -a \
+ COPYING* ChangeLog Copyright Problems README* timespec \
+ $PKG/usr/doc/at-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/at-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/patches/source/at/at.url b/patches/source/at/at.url
new file mode 100644
index 000000000..f142f2278
--- /dev/null
+++ b/patches/source/at/at.url
@@ -0,0 +1 @@
+http://software.calhariz.com/at/
diff --git a/patches/source/at/atd.default b/patches/source/at/atd.default
new file mode 100644
index 000000000..b70fad0b3
--- /dev/null
+++ b/patches/source/at/atd.default
@@ -0,0 +1,6 @@
+# Default options for the atd daemon:
+#
+# -b 15: minimal interval in seconds between two jobs
+# -l 1: do not start new jobs if the load average is above 1
+
+ATD_OPTS="-b 15 -l 1"
diff --git a/patches/source/at/doinst.sh b/patches/source/at/doinst.sh
new file mode 100644
index 000000000..8c0311015
--- /dev/null
+++ b/patches/source/at/doinst.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+config() {
+ for infile in $1; do
+ NEW="$infile"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+ done
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.atd.new
+config etc/default/atd.new
+config etc/at.deny.new
+
+if [ ! -r var/spool/atjobs/.SEQ ]; then
+ touch var/spool/atjobs/.SEQ
+ chmod 660 var/spool/atjobs/.SEQ
+ chown daemon.daemon var/spool/atjobs/.SEQ
+fi
diff --git a/patches/source/at/rc.atd b/patches/source/at/rc.atd
new file mode 100644
index 000000000..d91990897
--- /dev/null
+++ b/patches/source/at/rc.atd
@@ -0,0 +1,39 @@
+#!/bin/sh
+# /etc/rc.d/rc.atd - start/stop the at daemon
+
+# To change the default options, edit /etc/default/atd.
+if [ -r /etc/default/atd ]; then
+ . /etc/default/atd
+fi
+
+start_atd() {
+ if ! /usr/bin/pgrep --ns $$ --euid daemon -f "^/usr/sbin/atd" 1> /dev/null 2> /dev/null ; then
+ echo "Starting atd: /usr/sbin/atd $ATD_OPTS"
+ /usr/sbin/atd $ATD_OPTS
+ fi
+}
+
+stop_atd() {
+ echo "Stopping atd."
+ /usr/bin/pkill --ns $$ --euid daemon -f "^/usr/sbin/atd" 2> /dev/null
+}
+
+restart_atd() {
+ stop_atd
+ sleep 1
+ start_atd
+}
+
+case "$1" in
+'start')
+ start_atd
+ ;;
+'stop')
+ stop_atd
+ ;;
+'restart')
+ restart_atd
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/patches/source/at/slack-desc b/patches/source/at/slack-desc
new file mode 100644
index 000000000..b74ccaf66
--- /dev/null
+++ b/patches/source/at/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+at: at (delayed command execution)
+at:
+at: at and batch read shell commands from standard input (or a specified
+at: file) storing them as a job to be scheduled for execution at a later
+at: time.
+at:
+at: The 'at' command was written by David Parsons and Thomas Koenig.
+at:
+at: Homepage: http://blog.calhariz.com/tag/at
+at:
+at: